/ziflow-proofs | Type: Application | PCID required: Yes
Tools
ziflow_proofs_delete_id
Delete Proof Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Proof ID to delete |
ziflow_proofs_delete_id_all_versions
Delete All Proof Versions Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Proof ID to delete |
ziflow_proofs_delete_proof_id_stages_stage_id_reviewers_reviewer_identifier
Delete Reviewer by ID or email Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
proof_id | string | Yes | — | Proof ID |
stage_id | string | Yes | — | Stage ID |
reviewer_identifier | string | Yes | — | ID or email of a reviewer on the specified stage |
ziflow_proofs_get_id
Get Proof by ID Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Proof ID |
ziflow_proofs_get_id_comments_pdf
Export comments to PDF (Webhook Method) Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Proof ID |
ziflow_proofs_get_id_comments_pdf_request_id
Get status for export comments to PDF Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Proof ID |
request_id | string | Yes | — | Request ID returned from the PDF export request |
ziflow_proofs_get_id_emails
Get Emails Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Proof ID |
count | integer | No | — | Specifies number of records to return with max=100 |
page | integer | No | — | Used for pagination, starting at 1 |
startDate | string | No | — | The start date for filtering results, inclusive |
endDate | string | No | — | The end date for filtering results, inclusive |
ziflow_proofs_get_id_proof_url
Get a Reviewer’s Proof URL Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Proof ID |
oneTimeUrl | boolean | No | — | If true, a unique URL will be created which can be restricted to either one-time use or time expiration restrictions. |
expireAfterFirstUse | boolean | No | — | If true, URL will expire after first use. Overwrites urlExpiration value. |
urlExpiration | integer | No | — | URL expiration time in hours. Proper range of values: 1 - 336. |
email | string | No | — | Optionally provide the reviewer’s email in a <a href=“https://www.google.com/search?q=url+encode&oq=url+encode” target=“_blank” rel=“noopener noreferrer”>URL encoded</a> format, i.e. name%40domain.com. If not provided, the proof URL for the API user is returned. |
ziflow_proofs_get_id_summary_pdf
Export summary to PDF (Webhook Method) Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Proof ID |
allVersions | boolean | No | — | Define if you want to export all proof versions or just the specified one |
markupsThumbnail | string | No | — | Specifies comment’s markups layout in the export |
stageSummary | string | No | — | Specifies presence and details of proof workflow on PDF export. “none” removes workflow section from the export. |
ziflow_proofs_get_id_summary_pdf_request_id
Get status for export summary to PDF Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Proof ID |
request_id | string | Yes | — | Request ID returned from the PDF export request |
ziflow_proofs_get_proof_id_stages_stage_id_reviewers_reviewer_identifier
Get Reviewer by ID or email Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
proof_id | string | Yes | — | Proof ID |
stage_id | string | Yes | — | Stage ID |
reviewer_identifier | string | Yes | — | ID or email of a reviewer on the specified stage |
ziflow_proofs_get_proofs
Get Proofs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
count | integer | No | — | Specifies number of records to return with max=100 |
page | integer | No | — | Used for pagination, starting at 1 |
ziflow_proofs_get_proofs_by_id_activities
Get Proof Activities Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Proof ID |
count | integer | No | — | Specifies number of records to return with max=100 |
page | integer | No | — | Used for pagination, starting at 1 |
startDate | string | No | — | The start date for filtering results, inclusive |
endDate | string | No | — | The end date for filtering results, inclusive |
ziflow_proofs_post_id_comments_pdf
Export comments to PDF (Endpoint Method) Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Proof ID |
response_url | string | No | — | response_url |
ziflow_proofs_post_id_integration_properties
Add Integration Properties Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Proof ID |
body | any[] | Yes | — | Integration Properties |
ziflow_proofs_post_id_reviewers_status
Make Decision/Complete Review Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Proof ID |
completed | boolean | Yes | — | completed |
decision | string | Yes | — | decision |
decision_checklist | object | No | — | decision_checklist |
reviewer_id | string | No | — | Reviewer ID obtained from proof.stages[].members[].id field |
ziflow_proofs_post_id_summary_pdf
Export summary to PDF (Endpoint Method) Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Proof ID |
all_versions | boolean | No | — | Export all proof versions |
markups_thumbnail | string | No | — | Specifies comment’s markups layout in the export |
response_url | string | No | — | response_url |
stage_summary | string | No | — | Specifies presence and details of proof workflow on PDF export. “none” removes workflow section from the export. |
ziflow_proofs_post_proof_id_stages_stage_id_reviewers
Add Reviewer Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
proof_id | string | Yes | — | Proof ID |
stage_id | string | Yes | — | ID of stage in proof to which you want to add reviewer |
moveReviewers | boolean | No | — | If true, reviewer will be deleted from previous stage and added to the one specified by stage_id. If permissions are not defined in request’s body, default permissions will be applied |
body | any[] | Yes | — | Member object |
ziflow_proofs_post_proofs
Create New Proof Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
allow_source_download | boolean | No | — | allow_source_download |
archived | boolean | No | — | archived |
brief | object | No | — | brief |
combine | boolean | No | — | If true, the input sources are combined into one multi-asset proof in the order passed through. Joining different asset types is allowed only on Enterprise edition. On Standard and Pro it’s allowed to combine only static files. The Free editions is forced to false |
custom_properties | any[] | No | — | Available only on Enterprise edition. Values and IDs can be obtained from GET/v1/custom-properties/proofs/groups request. |
email_branding | object | No | — | Available on Pro and Enterprise editions only |
folder_id | string | No | — | Folder ID may be required if set in Account proof settings - available only for admins on Standard, Pro and Enterprise editions. |
input | any[] | No | — | input |
lock_on_decisions | boolean | No | — | lock_on_decisions |
locked | boolean | No | — | locked |
merge_files | string | No | — | Available only on Enterprise edition. When “combine” is set to true and input contains files of different types, this field defines, whether files should be merged into one asset. Field “merge_files” overrides “merge_static_files” if both provided |
merge_static_files | boolean | No | — | Use “merge_files” field. |
minor_version | boolean | No | — | Available on Pro and Enterprise editions only. If true, “version” fields will be returned as X.y where X is last major version and y is number of minor version, i.e. 0.1, 2.3, 1.1 |
name | string | No | — | name |
owner_email | string | No | — | You can provide an email of a user who you want to be the proof owner |
pass_through_value | string | No | — | Field allowing to attach a value to a proof that is passed back on the proof and webhook events to easily identify the proof in your own system. Field accepts max of 1024 characters. |
proof_security | string | No | — | Field describes proof access control settings. If not provided settings are pulled from account settings(on Standard, Pro and Enterprise editions). Value ‘users_and_guests_authentication_required’ is available only on Enterprise edition. Field overrides ‘secure_proofing’ and ‘require_sign_in’ fields. |
require_electronic_signature | boolean | No | — | Available on Enterprise edition only. Enable this setting to request all reviewers to electronically sign their decisions on proof. |
require_sign_in | boolean | No | — | Use “proof_security” field. |
secure_proofing | boolean | No | — | Use “proof_security” field. |
stages | any[] | No | — | stages |
subscription | object | No | — | Available on Standard, Pro and Enterprise editions. |
suppress_all_emails | boolean | No | — | If true, Ziflow will not send any emails regarding this proof. The only emails that can be triggered are the emails that are sent when using the ‘remind’ function within the web application. |
suppress_creation_email | boolean | No | — | If true, “New proof created” email will not be sent to proof owner. |
version_previous_id | string | No | — | If provided, it will make this proof a new version of the provided proof with given ID. This does require edit/manage permissions on the proof |
workflow_template | object | No | — | Available on proofs from Enterprise edition only |
ziflow_proofs_post_proofs_search_activity
Search Proofs Activity Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
count | integer | No | — | Specifies number of records to return with max=100 |
page | integer | No | — | Used for pagination, starting at 1 |
end_date | string | No | — | DateTime in format YYYY-MM-DDTHH:mm:ss.SSSZ in UTC timezone |
start_date | string | No | — | DateTime in format YYYY-MM-DDTHH:mm:ss.SSSZ in UTC timezone |
ziflow_proofs_post_search
Search Proofs Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
count | integer | No | — | Specifies number of records to return with max=100 |
page | integer | No | — | Used for pagination, starting at 1 |
archived | any[] | No | — | archived |
custom_properties | any[] | No | — | custom_properties |
fields | string | No | — | Optional field - if provided, search response body will contain only specified fields in proof objects matching provided search conditions, so that you can filter proofs and only get specific fields from them. For example, “folder.*”, will return whole folder object; “stages.name” will return stages’ names. |
folder | any[] | No | — | Providing null in folder ID field will search for proofs that are not in any folder. |
integration_properties | any[] | No | — | integration_properties |
locked | any[] | No | — | locked |
name | any[] | No | — | name |
next_deadline | any[] | No | — | next_deadline |
owner | any[] | No | — | owner |
pass_through_value | any[] | No | — | Searching for null, "" or ” ” will return the same results containing all those values. |
proof_id | any[] | No | — | An array that can be used to search for multiple proofs by their IDs. Limit proof IDs in array = 100. |
proof_status | any[] | No | — | proof_status |
reviewer | any[] | No | — | reviewer |
stages | any[] | No | — | stages |
ziflow_proofs_put_id
Update an Existing Proof Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Proof ID |
allow_source_download | boolean | No | — | allow_source_download |
archived | boolean | No | — | archived |
brief | object | No | — | brief |
custom_properties | any[] | No | — | Available only on Enterprise edition. Values and IDs can be obtained from GET/v1/custom-properties/proofs/groups request. |
email_branding | object | No | — | Available on Pro and Enterprise editions only |
folder_id | string | No | — | Folder ID may be required if set in Account proof settings - available only for admins on Standard, Pro and Enterprise editions. |
lock_on_decisions | boolean | No | — | lock_on_decisions |
locked | boolean | No | — | locked |
minor_version | boolean | No | — | Available on Pro and Enterprise editions only. If true, “version” fields will be returned as X.y where X is last major version and y is number of minor version, i.e. 0.1, 2.3, 1.1 |
name | string | No | — | name |
owner_email | string | No | — | You can provide an email of a user who you want to be the proof owner |
pass_through_value | string | No | — | Field allowing to attach a value to a proof that is passed back on the proof and webhook events to easily identify the proof in your own system. Field accepts max of 1024 characters. |
proof_security | string | No | — | Field describes proof access control settings. If not provided settings are pulled from account settings(on Standard, Pro and Enterprise editions). Value ‘users_and_guests_authentication_required’ is available only on Enterprise edition. Field overrides ‘secure_proofing’ and ‘require_sign_in’ fields. |
require_electronic_signature | boolean | No | — | Available on Enterprise edition only. Enable this setting to request all reviewers to electronically sign their decisions on proof. |
require_sign_in | boolean | No | — | Use “proof_security” field. |
secure_proofing | boolean | No | — | Use “proof_security” field. |
stages | any[] | No | — | stages |
subscription | object | No | — | Available on Standard, Pro and Enterprise editions. |
suppress_all_emails | boolean | No | — | If true, Ziflow will not send any emails regarding this proof. The only emails that can be triggered are the emails that are sent when using the ‘remind’ function within the web application. |
suppress_creation_email | boolean | No | — | If true, “New proof created” email will not be sent to proof owner. |
version_previous_id | string | No | — | If provided, it will make this proof a new version of the provided proof with given ID. This does require edit/manage permissions on the proof |
workflow_template | object | No | — | Available on proofs from Enterprise edition only |
ziflow_proofs_put_id_integration_properties
Update Integration Properties Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
id | string | Yes | — | Proof ID |
body | any[] | Yes | — | List of Integration Properties |
ziflow_proofs_put_proof_id_stages_stage_id
Update Stage Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
proof_id | string | Yes | — | Proof ID |
stage_id | string | Yes | — | Stage ID |
allow_private_comments | boolean | No | — | Available only on Enterprise edition. |
allow_public_comments | boolean | No | — | Default value forced for all editions except Enterprise. |
custom_email_message | string | No | — | Not allowed on plans below Enterprise. |
custom_email_subject | string | No | — | Not allowed on plans below Enterprise. |
deadline | string | No | — | Date and time. Only used if the stage trigger is “immediately” or if the stage has started. If the stage is triggered manually or based on another stage, use the “stage_trigger” deadline field. |
final_status_calculation | object | No | — | Defines how stage decision status is calculated. “all_decisions” - all decisions must be made to calculate the stage status. “only_one_decision” - any single decision is enough to calculate the stage status. “primary_decision_maker” - selected reviewer’s decision will calculate the stage status. “reviewer_id” or “reviewer_email” must be provided for the “primary_decision_maker” option. |
id | string | Yes | — | Provide ID of every stage you wish to change or leave unchanged - missing stage ID will be deleted. |
lock | object | No | — | lock |
members | any[] | Yes | — | members |
name | string | No | — | name |
only_one_decision | boolean | No | — | Functionality moved to “final_status_calculation” field |
send_new_proof_email | boolean | No | — | Send new proof/new version email to reviewers on Stage |
skip | string | No | — | Skip stage in next version condition. Available for proofs created on Enterprise edition only |
stage_trigger | object | No | — | stage_trigger |
status | object | No | — | status |
ziflow_proofs_put_proof_id_stages_stage_id_final_status_calculation
Set Final Status Calculation Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
proof_id | string | Yes | — | Proof ID |
stage_id | string | Yes | — | Stage ID |
reviewer_email | string | No | — | If type “primary_decision_maker” defines the reviewer, who’s decision will decide on stage status |
reviewer_id | string | No | — | Reviewer ID obtained from proof.stages[].members[].id field |
type | string | No | — | “primary_decision_maker” option is available on Enterprise edition only |
ziflow_proofs_put_proof_id_stages_stage_id_reviewers_reviewer_identifier
Update Reviewer by ID or email Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
proof_id | string | Yes | — | Proof ID |
stage_id | string | Yes | — | Stage ID |
reviewer_identifier | string | Yes | — | ID or email of a reviewer on the specified stage |
comment | boolean | No | — | Comment permission is updated only on the stage defined by stage_id provided in the request url path parameter. |
decision | boolean | No | — | Decision permission is updated only on the stage defined by stage_id provided in the request url path parameter. |
manage | boolean | No | — | Manage permission is updated on all stages reviewer is on. |
notification | string | No | — | Default notification “hourly_digest” applies only to new users/guests. Other contacts retain their notification settings as default, unless defined otherwise. Default notification can be changed by Admin in account settings. |
share | boolean | No | — | Share permission is updated on all stages reviewer is on. |
ziflow_proofs_put_proof_id_stages_stage_id_start
Start Stage Parameters:| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
proof_id | string | Yes | — | Proof ID |
stage_id | string | Yes | — | Stage ID |

